<?php

namespace App\Filament\Resources\TextWidgets\Schemas;

use Filament\Forms\Components\Textarea;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class TextWidgetForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('title')
                    ->required()
                    ->live(onBlur: true),
                TextInput::make('description')
                    ->nullable(),
                Textarea::make('content')
                    ->rows(5)
                    ->columnSpanFull(),

            ]);
    }
}
